Bug 75902 - Scroll region is not reset on "resize(1)"
Scroll region is not reset on "resize(1)"
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
8.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-14 15:21 EDT by Pete Zaitcev
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 725904 (view as bug list)
Environment:
Last Closed: 2003-02-07 22:58:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2002-10-14 15:21:11 EDT
Description of Problem:

Traditionally, resize(1) reset the scroll region, but now it doesn't.

Version-Release number of selected component (if applicable):

gnome-terminal-2.0.1-5

How Reproducible:

100%

Steps to Reproduce:
1. start ssh session somewhere
2. start screen on the remote host
2. enter vim
3. abort the ssh session
4. ensure that scrolling is confined to the region by hitting 'Enter'.
   the vim information line should remain on the screen and the
   shell prompt should appear above it.
5. run resize

Actual Results:

scrolling is not restored

Expected Results:

Full screen scrolling restored

Additional Information:
	
This is a regression from RH7.3.

Coincidently, in old gnome-terminal and xterm, reset(1) did not recover
the full-screen scroll, but now it does. I'd be happy to use that,
except that it also erases the screen, which is pretty annoying.
Comment 1 Havoc Pennington 2002-10-14 18:05:03 EDT
(please file terminal emulation bugs against vte, gnome-terminal is just the
menus and prefs dialog and other shell containing the terminal emulator.)
Comment 2 Nalin Dahyabhai 2002-10-14 21:49:40 EDT
Fixing for 0.9.2.  Thanks!
Comment 3 Pete Zaitcev 2003-02-07 22:58:46 EST
Confirmed fixed in vte-0.10.10-1.

Note You need to log in before you can comment on or make changes to this bug.